SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000504SiT!portalpublic2009-02-17 21:552009-02-27 16:25
Reporterkieran 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.45Fixed in Version3.45 
Summary0000504: Errors in the portal
DescriptionShould we be showing errors in the portal at all? Here's an example of what we reveal:

Application Warning [512]
Error in trigger rule for TRIGGER_INCIDENT_CREATED, check your trigger rules. in /home/kieran/Code/sitracker/lib/triggers.inc.php @ line 110
Backtrace:
/home/kieran/Code/sitracker/lib/triggers.inc.php @ line 110 trigger_error()
/home/kieran/Code/sitracker/portal/add.php @ line 232 trigger()
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000637)
ivan (administrator)
2009-02-17 22:37

Was giving some thought to this on the train the other night actually.

Do you think we should hide all errors if error logging is on? Perhaps just give a generic 'an error has occurred check the log file" with no other info.?
User avatar (0000657)
ivan (administrator)
2009-02-23 10:14

^^
User avatar (0000668)
ivan (administrator)
2009-02-26 15:23

svn trunk r5206 prevents displaying of any messages in the web browser if messages are being logged to the error logfile.
User avatar (0000673)
kieran (administrator)
2009-02-26 19:01

As the error logfile is blank by default, should we not also provide a generic error message too?
User avatar (0000674)
ivan (administrator)
2009-02-27 10:14

I'm not sure about the benefits of a generic message, I think it might be more irritating than helpful. For example we'll probably have hundreds of reports from people saying they get "An error in SiT" which won't help us or them.
User avatar (0000677)
ivan (administrator)
2009-02-27 13:50

Marking this resolved for 3.45, we can come back and improve this for 3.50 if required.

- Issue History
Date Modified Username Field Change
2009-02-17 21:55 kieran New Issue
2009-02-17 22:37 ivan Note Added: 0000637
2009-02-23 10:14 ivan Note Added: 0000657
2009-02-23 10:14 ivan Status new => feedback
2009-02-26 11:07 ivan Status feedback => assigned
2009-02-26 11:07 ivan Assigned To => ivan
2009-02-26 15:23 ivan Note Added: 0000668
2009-02-26 15:23 ivan Status assigned => feedback
2009-02-26 15:23 ivan Resolution open => fixed
2009-02-26 15:23 ivan Fixed in Version => Current SVN
2009-02-26 19:01 kieran Note Added: 0000673
2009-02-27 10:14 ivan Note Added: 0000674
2009-02-27 13:50 ivan Note Added: 0000677
2009-02-27 13:50 ivan Status feedback => resolved
2009-02-27 13:54 ivan Fixed in Version Current SVN => 3.45
2009-02-27 16:25 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker